Subject: Order D225180E26
From: Manuel Nava <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Manuel Nava <[email-masked]>
Date: Wed, 18 May 2022 22:22:28 +0000

Good afternoon,
I'm trying to make an order and got an email saying that my order was not placed successfully because the payment authorization was returned as INVALID.
I'm using my dollars rewards to pay this order and I updated my credit card info ending 9687.
Can you please let me know what's going on ??

Thank you !!

Manuel Nava
Housekeeping Manager
730 East Durant Ave., Aspen CO 81611
Direct: (970) 429-2426
Fax:  (970) 920-2020
Email: [email-masked]<mailto:[email-masked]>
<https://www.facebook.com/friasproperties>  <https://twitter.com/aspenlodging>   <https://www.instagram.com/friasaspen>   <https://www.friasproperties.com/blog>